correctly rounded floating-point conversions
in new package strconv.

move atoi etc to strconv too.

update fmt, etc to use strconv.

R=r
DELTA=2232  (1691 added, 424 deleted, 117 changed)
OCL=19286
CL=19380
diff --git a/src/run.bash b/src/run.bash
index d412a69..c554636 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -11,6 +11,12 @@
 	builtin cd $1
 }
 
+(xcd lib/strconv
+make clean
+time make
+bash test.bash
+) || exit $?
+
 (xcd lib/reflect
 make clean
 time make